//
//  SIWorkThread.h
//  Kompressor2
//
//  Created by Daniel Vollmer on 18.12.06.
//  Copyright 2006 [maven] heavy industries. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SIWorkThread : NSObject {
	NSConditionLock *_workLock; /* we exit when condition is set to 1 and there is no work available */
	NSMutableArray *_workQueue;
}
- (id)initWithQueue:(NSMutableArray *)aWorkQueue withLock:(NSConditionLock *)aWorkLock;
- (void)workLoop:(id)sender;
@end
