//
//  SIWorkUnit.h
//  Kompressor2
//
//  Created by Daniel Vollmer on 21.12.06.
//  Copyright 2006 [maven] heavy industries. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface SIWorkUnit : NSObject
{
	id	_target;
	SEL	_selector;
	id	_argument;
	SEL	_didEndSelector; // is performed in the main thread, so it's safe to update the UI. Argument is the result of performing _selector (or _argument otherwise)
}
- (id)initWithTarget:(id)target withSelector:(SEL)selector withArgument:(id)argument withDidEndSelector:(SEL)didEnd;
- (BOOL)isRelatedTo:(id)object;
- (void)performWork;
@end
